# Set Secret Manager Source

Source: https://coolify.io/docs/api/endpoints/secret-managers/set-secret-manager-source

## PATCH /{resource_type}/{uuid}/secret-manager

Set Secret Manager Source

Link a secret manager token of the team to an application, service, or database, or change the token or settings of the link. References resolve at the next deployment.

**Authentication:** Bearer token (`bearerAuth`)

### Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| resource_type | path | yes | string enum "applications", "services", "databases" | Resource type. |
| uuid | path | yes | string | Resource UUID. |

### Request body

`application/json`, required.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| integration_token_uuid | string | yes |  |
| settings | object | no | Doppler service account: project, config. Infisical: project_id, environment, secret_path. Vault: mount, path. |

### Responses

#### 200

Secret manager configured.

#### 401

Unauthenticated.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 403

No write access to the resource.

#### 404

Resource not found.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 422

Validation error.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |
| errors | object | no |  |
